OGRE: Ogre::MeshSerializerListener Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::MeshSerializerListener Class Referenceabstract
Core » Resources

This class allows users to hook into the mesh loading process and modify references within the mesh as they are loading. More...

`#include <OgreMeshSerializer.h>`

## Public Member Functions
virtual | ~MeshSerializerListener ()
virtual void | processMaterialName (Mesh *mesh, String *name)=0
| Called to override the loading of the given named material.
virtual void | processMeshCompleted (Mesh *mesh)=0
| Allows to do changes on mesh after it's completely loaded. For example you can generate LOD levels here.
virtual void | processSkeletonName (Mesh *mesh, String *name)=0
| Called to override the reference to a skeleton.

## Detailed Description

This class allows users to hook into the mesh loading process and modify references within the mesh as they are loading.

Material and skeletal references can be processed using this interface which allows finer control over resources.

## Constructor & Destructor Documentation

## ◆ ~MeshSerializerListener()

virtual Ogre::MeshSerializerListener::~MeshSerializerListener | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ processMaterialName()

virtual void Ogre::MeshSerializerListener::processMaterialName | ( | Mesh * | mesh,
|  | String * | name )
| pure virtual

Called to override the loading of the given named material.

## ◆ processSkeletonName()

virtual void Ogre::MeshSerializerListener::processSkeletonName | ( | Mesh * | mesh,
|  | String * | name )
| pure virtual

Called to override the reference to a skeleton.

## ◆ processMeshCompleted()

virtual void Ogre::MeshSerializerListener::processMeshCompleted | ( | Mesh * | mesh | ) |
| pure virtual

Allows to do changes on mesh after it's completely loaded. For example you can generate LOD levels here.

The documentation for this class was generated from the following file:

- OgreMeshSerializer.h